Skip to main content
GET
/
v2
/
shippingMethods
Query Shipping Methods
curl --request GET \
  --url https://api.jtl-cloud.com/erp/v2/shippingMethods \
  --header 'Authorization: Bearer <token>' \
  --header 'x-tenant-id: <x-tenant-id>'
[
  {
    "id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
    "name": "<string>",
    "priority": 123,
    "grossPrice": 123,
    "extraWeight": 123,
    "isAmazonPrime": true
  }
]

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

Response

Returns all shipping methods.

id
string<uuid>

Unique ID to identify a shipping method.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

name
string

Name of the shipping method.

priority
integer<int32>

The priority of the shipping method.

grossPrice
number<decimal>

Gross price of the shipping method.

extraWeight
number<decimal>

Extra weight for each parcel created with the shipping method.

isAmazonPrime
boolean

Indicates if seller-fulfilled Amazon Prime should be applied to the shipping method.